# Advance a test clock

Starts advancing a test clock to a specified time in the future. Advancement is done when status changes to `Ready`.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createTestHelpersTestClock
POST /v1/test_helpers/test_clocks {"frozen_time":1577836800}

## Request

```dotnet
var options = new Stripe.TestHelpers.TestClockAdvanceOptions
{
    FrozenTime = DateTimeOffset.FromUnixTimeSeconds(1680199613).UtcDateTime,
};
var client = new StripeClient("<<YOUR_SECRET_KEY>>");
var service = client.V1.TestHelpers.TestClocks;
Stripe.TestHelpers.TestClock testClock = service.Advance(
    "{{TEST_CLOCK_ID}}",
    options);
```

### Response

```json
{
  "id": "clock_1Mr3I22eZvKYlo2Ck0rgMqd7",
  "object": "test_helpers.test_clock",
  "created": 1680112806,
  "deletes_after": 1680717606,
  "frozen_time": 1577836800,
  "livemode": false,
  "name": null,
  "status": "advancing"
}
```

## Parameters

- `frozen_time` (timestamp, required)
  The time to advance the test clock. Must be after the test clock’s current frozen time. Cannot be more than two intervals in the future from the shortest subscription in this test clock. If there are no subscriptions in this test clock, it cannot be more than two years in the future.

- `id` (string, required)
  Unique identifier for the object.

## Returns

A `TestClock` object with status `Advancing` is returned upon success. Otherwise, this call raises [an error](https://docs.stripe.com/api/errors.md).
